Bug 1011291 - (CVE-2016-9442) VUL-0: CVE-2016-9442: w3m: potential heap buffer corruption
(CVE-2016-9442)
VUL-0: CVE-2016-9442: w3m: potential heap buffer corruption
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P3 - Medium : Normal
: ---
Assigned To: Thomas Blume
Security Team bot
CVSSv2:RedHat:CVE-2016-9442:4.3:(AV:N...
:
Depends on:
Blocks: 1011293
  Show dependency treegraph
 
Reported: 2016-11-21 12:06 UTC by Alexander Bergmann
Modified: 2018-11-20 07:49 UTC (History)
0 users

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Bergmann 2016-11-21 12:06:00 UTC
w3m: multiple vulnerabilities
http://seclists.org/oss-sec/2016/q4/452

Fix potential heap buffer corruption due to Strgrow

Fix: https://github.com/tats/w3m/commit/d43527cfa0dbb3ccefec4a6f7b32c1434739aa29
Comment 1 Swamp Workflow Management 2016-11-21 23:01:17 UTC
bugbot adjusting priority
Comment 2 Swamp Workflow Management 2016-12-07 19:12:53 UTC
SUSE-SU-2016:3046-1: An update that fixes 28 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1011269,1011270,1011271,1011272,1011283,1011284,1011285,1011286,1011287,1011288,1011289,1011290,1011291,1011292,1011293,1012020,1012021,1012022,1012023,1012024,1012025,1012026,1012027,1012028,1012029,1012030,1012031,1012032
CVE References: CVE-2010-2074,CVE-2016-9422,CVE-2016-9423,CVE-2016-9424,CVE-2016-9425,CVE-2016-9434,CVE-2016-9435,CVE-2016-9436,CVE-2016-9437,CVE-2016-9438,CVE-2016-9439,CVE-2016-9440,CVE-2016-9441,CVE-2016-9442,CVE-2016-9443,CVE-2016-9621,CVE-2016-9622,CVE-2016-9623,CVE-2016-9624,CVE-2016-9625,CVE-2016-9626,CVE-2016-9627,CVE-2016-9628,CVE-2016-9629,CVE-2016-9630,CVE-2016-9631,CVE-2016-9632,CVE-2016-9633
Sources used:
SUSE Linux Enterprise Server 11-SP4 (src):    w3m-0.5.3.git20161120-4.1
SUSE Linux Enterprise Debuginfo 11-SP4 (src):    w3m-0.5.3.git20161120-4.1
Comment 3 Swamp Workflow Management 2016-12-08 13:09:51 UTC
SUSE-SU-2016:3053-1: An update that fixes 23 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1011283,1011284,1011285,1011286,1011287,1011288,1011289,1011290,1011291,1011292,1011293,1012021,1012022,1012023,1012024,1012025,1012026,1012027,1012028,1012029,1012030,1012031,1012032
CVE References: CVE-2016-9434,CVE-2016-9435,CVE-2016-9436,CVE-2016-9437,CVE-2016-9438,CVE-2016-9439,CVE-2016-9440,CVE-2016-9441,CVE-2016-9442,CVE-2016-9443,CVE-2016-9621,CVE-2016-9622,CVE-2016-9623,CVE-2016-9624,CVE-2016-9625,CVE-2016-9626,CVE-2016-9627,CVE-2016-9628,CVE-2016-9629,CVE-2016-9630,CVE-2016-9631,CVE-2016-9632,CVE-2016-9633
Sources used:
SUSE Linux Enterprise Server for Raspberry Pi 12-SP2 (src):    w3m-0.5.3.git20161120-160.1
SUSE Linux Enterprise Server 12-SP2 (src):    w3m-0.5.3.git20161120-160.1
SUSE Linux Enterprise Server 12-SP1 (src):    w3m-0.5.3.git20161120-160.1
SUSE Linux Enterprise Desktop 12-SP2 (src):    w3m-0.5.3.git20161120-160.1
SUSE Linux Enterprise Desktop 12-SP1 (src):    w3m-0.5.3.git20161120-160.1
Comment 4 Swamp Workflow Management 2016-12-14 00:08:58 UTC
openSUSE-SU-2016:3121-1: An update that fixes 23 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1011283,1011284,1011285,1011286,1011287,1011288,1011289,1011290,1011291,1011292,1011293,1012021,1012022,1012023,1012024,1012025,1012026,1012027,1012028,1012029,1012030,1012031,1012032
CVE References: CVE-2016-9434,CVE-2016-9435,CVE-2016-9436,CVE-2016-9437,CVE-2016-9438,CVE-2016-9439,CVE-2016-9440,CVE-2016-9441,CVE-2016-9442,CVE-2016-9443,CVE-2016-9621,CVE-2016-9622,CVE-2016-9623,CVE-2016-9624,CVE-2016-9625,CVE-2016-9626,CVE-2016-9627,CVE-2016-9628,CVE-2016-9629,CVE-2016-9630,CVE-2016-9631,CVE-2016-9632,CVE-2016-9633
Sources used:
openSUSE Leap 42.2 (src):    w3m-0.5.3.git20161120-160.1
openSUSE Leap 42.1 (src):    w3m-0.5.3.git20161120-161.1
Comment 5 Thomas Blume 2017-05-11 07:48:48 UTC
closing
Comment 6 Swamp Workflow Management 2017-06-02 11:45:39 UTC
An update workflow for this issue was started.
This issue was rated as moderate.
Please submit fixed packages until 2017-06-16.
When done, reassign the bug to security-team@suse.de.
https://swamp.suse.de/webswamp/wf/63652